{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE TemplateHaskell #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE TypeFamilies #-}
module Handler.Home where

import Import
import Widget.Hcard (hcard)

getHomeR :: Handler Html
getHomeR = do
    user <- runDB . getBy404 $ UniqueUsername "dani"
    maybeTitle <- asks $ appTitle . appSettings
    defaultLayout $ do
        case maybeTitle of
          Just title -> setTitle $ toHtml title
          Nothing -> return ()
        $(widgetFile "home")
